Help us understand the problem. What is going on with this article?

Marvericksにnumpyをインストールする

More than 5 years have passed since last update.
sudo pip install numpy

をしたら以下のエラーが出た。

RuntimeError: Broken toolchain: cannot link a simple C program

解決策

以下のコマンドを実行した。

$ sudo ARCHFLAGS=-Wno-error=unused-command-line-argument-hard-error-in-future pip install --upgrade numpy

成功!

Successfully installed numpy
Cleaning up...

参考

problems-with-pip-install-numpy-runtimeerror-broken-toolchain-cannot-link-a

saicologic
株式会社Voicyでエンジニアリングマネージャーをしています。
http://github.com/saicologic
voicy
音声が身近にある世の中を創り続ける
https://corp.voicy.jp/
Why not register and get more from Qiita?
  1. We will deliver articles that match you
    By following users and tags, you can catch up information on technical fields that you are interested in as a whole
  2. you can read useful information later efficiently
    By "stocking" the articles you like, you can search right away